use crate::{
    formats::data_format::DataFormat, formats::speed_unit::SpeedUnit, formats::temp_unit::TempUnit,
};

pub struct CurrentWeatherPrintParams {
    pub all: bool,
    pub is_day: bool,
    pub temperature: bool,
    pub temperature_unit: TempUnit,
    pub windspeed: bool,
    pub speed_unit: SpeedUnit,
    pub winddirection: bool,
    pub include_coords: bool,
    pub include_city: bool,
    pub format: DataFormat,
}
